//
// Created by IgorBat on 23.04.2018.
//

#ifndef GAME_CLIENT_MELEEDAMAGE_H
#define GAME_CLIENT_MELEEDAMAGE_H

#include <cassert>
#include "spells\spell.h"

class MeleeDamageSpell : public Spell {
public:
    MeleeDamageSpell(QString param) : Spell(param) {}

    void CastSpell(Cell* from, Cell* where, Unit* who, Unit* whom) override;
    bool canCastToCell(Cell* destination, Cell* from) override;
};

#endif //GAME_CLIENT_MELEEDAMAGE_H
